﻿const country = arguments[0];
var _locale = null;

const init = function(){
	_locale = document.getElementById('strings');
	
	document.title = _locale.getString("mapOf") + ' ' + (country.city?country.city + ', ':'') + (country.region_name?country.region_name + ', ':'') + country.name;
	
	if(country.ip != null && country.hostname != null && country.isp != null && country.org != null){
		if(country.hostname == ''){
			document.getElementById('ip').value = country.ip;
		} else {
			document.getElementById('ip').value = country.ip + ' (' + country.hostname + ')';
		}
		
		if(country.isp != '' && country.org == ''){
			document.getElementById('isp').value = country.isp;
		} else if(country.isp == '' && country.org == ''){
			document.getElementById('isp').value = _locale.getString('unknown');
		} else if((country.isp == '' && country.org != '') || country.isp == country.org){
			document.getElementById('isp').value = country.org;
		} else {
			document.getElementById('isp').value = country.org + ' (' + country.isp + ')';
		}
	} else {
		document.getElementById('ip').value = _locale.getString('unknown');
		document.getElementById('isp').value = _locale.getString('unknown');
	}
  
  document.getElementById('lookupCrapLink').setAttribute('href', 'http://lookupcrap.com/' + country.ip);
	
	sizeToContent();
};

const doOK = function(){
	return true;
};

addEventListener('load', init, true);